package com.ym.im.entity.base;

import io.netty.util.AttributeKey;

/**
 * @author: JJww
 * @Date:2020/10/13
 */
public class ChannelAttributeKey {

    /**
     * 角色 用户ID
     */
    public static final AttributeKey<Long> ROLE_ID = AttributeKey.valueOf("role_Id");


    /**
     * 商户ID
     */
    public static final AttributeKey<Long> MERCHANT_ID = AttributeKey.valueOf("merchant_Id");

    /**
     * 角色类型
     */
    public static final AttributeKey<String> ROLE_TYPE = AttributeKey.valueOf("role_type");

    /**
     * 当前token
     */
    public static final AttributeKey<String> TOKEN_INFO = AttributeKey.valueOf("token");

    /**
     * 客户端当前语言
     */
    public static final AttributeKey<String> COL_INFO = AttributeKey.valueOf("col");
}
